Linked Accounts
Simulate the Linked Account lifecycle scenarios in the sandbox environment.
POST /api/v1/simulation/linked_accounts/{linked_account_id}/mandate/acceptPOST /api/v1/simulation/linked_accounts/{linked_account_id}/mandate/rejectPOST /api/v1/simulation/linked_accounts/{linked_account_id}/mandate/cancelPOST /api/v1/simulation/linked_accounts/{linked_account_id}/fail_microdeposits
Accept a mandate
POST /api/v1/simulation/linked_accounts/{linked_account_id}/mandate/accept
Accept a Mandate by transitioning the mandate status from PROCESSING to ACTIVE
Unique identifier of the Linked Account.
OK
| Error status | Description |
|---|---|
| 400 | Possible errors: |
| 401 | credentials_invalid |
| 500 | service_unavailable |
$curl --request POST \> --url 'https://api-demo.airwallex.com/api/v1/simulation/linked_accounts/linked_account_id/mandate/accept' \> --header 'Authorization: Bearer {{ACCESS_TOKEN}}' \> --header 'Content-Type: application/json'
1false
Reject a mandate
POST /api/v1/simulation/linked_accounts/{linked_account_id}/mandate/reject
Reject a Mandate by transitioning the mandate status from PROCESSING to INACTIVE
Unique identifier of the Linked Account.
OK
| Error status | Description |
|---|---|
| 400 | Possible errors: |
| 401 | credentials_invalid |
| 500 | service_unavailable |
$curl --request POST \> --url 'https://api-demo.airwallex.com/api/v1/simulation/linked_accounts/linked_account_id/mandate/reject' \> --header 'Authorization: Bearer {{ACCESS_TOKEN}}' \> --header 'Content-Type: application/json'
1false
Cancel a mandate
POST /api/v1/simulation/linked_accounts/{linked_account_id}/mandate/cancel
Cancel a Mandate by transitioning the mandate status from PROCESSING or ACTIVE to INACTIVE
Unique identifier of the Linked Account.
OK
| Error status | Description |
|---|---|
| 400 | Possible errors: |
| 401 | credentials_invalid |
| 500 | service_unavailable |
$curl --request POST \> --url 'https://api-demo.airwallex.com/api/v1/simulation/linked_accounts/linked_account_id/mandate/cancel' \> --header 'Authorization: Bearer {{ACCESS_TOKEN}}' \> --header 'Content-Type: application/json'
1false
Fail a micro deposits verification
POST /api/v1/simulation/linked_accounts/{linked_account_id}/fail_microdeposits
Fail a Micro Deposits verification by transitioning the Linked Account status from REQUIRES_ACTION to FAILED with the reason MICRO_DEPOSIT_FAILED
Unique identifier of the Linked Account.
OK
| Error status | Description |
|---|---|
| 400 | Possible errors: |
| 401 | credentials_invalid |
| 500 | service_unavailable |
$curl --request POST \> --url 'https://api-demo.airwallex.com/api/v1/simulation/linked_accounts/linked_account_id/fail_microdeposits' \> --header 'Authorization: Bearer {{ACCESS_TOKEN}}' \> --header 'Content-Type: application/json'
1false